#pragma once
#include "Preferences.h"

class CPPg_X_General : public CPropertyPage
{
	DECLARE_DYNAMIC(CPPg_X_General)

public:
	CPPg_X_General();
	virtual ~CPPg_X_General();

	// Dialog Data
	enum { IDD = IDD_PPG_X_GENERAL };

	void Localize(void);

	afx_msg void OnSettingsChange()		{ SetModified(); }

protected:

	void LoadSettings();

	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual BOOL OnInitDialog();
	virtual BOOL OnApply();

	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	uint32 processprio; // X-Ray :: ProcessPrio

	DECLARE_MESSAGE_MAP()

private:
	void ShowNiceHashValue(); // X-Ray :: NiceHash
	void OnBnClickedrioRadio(); // X-Ray :: ProcessPrio
};
